## ros-foxy-rcl-yaml-param-parser 1.1.14

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(rcl_yaml_param_parser)

find_package(ament_cmake_ros REQUIRED)
find_package(rcutils REQUIRED)
find_package(libyaml_vendor REQUIRED)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCC OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

set(rcl_yaml_parser_sources
  src/add_to_arrays.c
  src/namespace.c
  src/node_params.c
  src/parse.c
  src/parser.c
  src/yaml_variant.c
)

add_library(
  ${PROJECT_NAME}
  ${rcl_yaml_parser_sources})
target_include_directories(${PROJECT_NAME} PUBLIC
  "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>"
  "$<INSTALL_INTERFACE:include>")
ament_target_dependencies(${PROJECT_NAME} "libyaml_vendor" "rcutils")

# Set the visibility to hidden by default if possible
if(CMAKE_C_COMPILER_ID STREQUAL "GNU" OR CMAKE_C_COMPILER_ID MATCHES "Clang")
  # Set the visibility of symbols to hidden by default for gcc and clang
  # (this is already the default on Windows)
  set_target_properties(${PROJECT_NAME}
    PROPERTIES
    COMPILE_FLAGS "-fvisibility=hidden"
  )
endif()

# Causes the visibility macros to use dllexport rather than dllimport,
# which is appropriate when building the dll but not consuming it.
target_compile_definitions(${PROJECT_NAME} PRIVATE "RCL_YAML_PARAM_PARSER_BUILDING_DLL")

install(TARGETS ${PROJECT_NAME} EXPORT ${PROJECT_NAME}
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

if(BUILD_TESTING)
  find_package(ament_cmake_gtest REQUIRED)
  find_package(ament_lint_auto REQUIRED)
  find_package(osrf_testing_tools_cpp REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(performance_test_fixture REQUIRED)
  # Give cppcheck hints about macro definitions coming from outside this package
  get_target_property(ament_cmake_cppcheck_ADDITIONAL_INCLUDE_DIRS
    performance_test_fixture::performance_test_fixture INTERFACE_INCLUDE_DIRECTORIES)

  # Gtests
  ament_add_gtest(test_namespace
    test/test_namespace.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_namespace)
    ament_target_dependencies(test_namespace
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_compile_definitions(test_namespace PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
    target_link_libraries(test_namespace ${PROJECT_NAME})
  endif()

  ament_add_gtest(test_node_params
    test/test_node_params.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_node_params)
    ament_target_dependencies(test_node_params
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_node_params ${PROJECT_NAME})
  endif()

  ament_add_gtest(test_parse_yaml
    test/test_parse_yaml.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_parse_yaml)
    target_link_libraries(test_parse_yaml ${PROJECT_NAME})
    target_include_directories(test_parse_yaml
      PRIVATE ${osrf_testing_tools_cpp_INCLUDE_DIRS})
  endif()

  ament_add_gtest(test_parse
    test/test_parse.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_parse)
    ament_target_dependencies(test_parse
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_parse ${PROJECT_NAME} mimick)
  endif()

  ament_add_gtest(test_parser
    test/test_parser.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_parser)
    ament_target_dependencies(test_parser
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_parser ${PROJECT_NAME} mimick)
    target_compile_definitions(test_parser PUBLIC RCUTILS_ENABLE_FAULT_INJECTION)
  endif()

  add_performance_test(benchmark_parse_yaml test/benchmark/benchmark_parse_yaml.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}")
  if(TARGET benchmark_parse_yaml)
    target_link_libraries(benchmark_parse_yaml ${PROJECT_NAME})
    ament_target_dependencies(benchmark_parse_yaml
      "rcpputils"
      "rcutils"
    )
  endif()
  ament_add_gtest(test_yaml_variant
    test/test_yaml_variant.cpp
    WORKING_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}"
  )
  if(TARGET test_yaml_variant)
    ament_target_dependencies(test_yaml_variant
      "rcutils"
      "osrf_testing_tools_cpp"
    )
    target_link_libraries(test_yaml_variant ${PROJECT_NAME})
  endif()
endif()

ament_export_dependencies(ament_cmake libyaml_vendor)
ament_export_include_directories(include)
install(
  DIRECTORY include/
  DESTINATION include
)
ament_export_libraries(${PROJECT_NAME})
ament_export_targets(${PROJECT_NAME})
ament_package()

=== debian/changelog ===
ros-foxy-rcl-yaml-param-parser (1.1.14-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 25 Jul 2022 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.13-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 04 Feb 2022 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.12-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 31 Jan 2022 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.11-1focal) focal; urgency=high

  * Update quality declaration links (re: ros2/docs.ros2.org#52 <https://github.com/ros2/docs.ros2.org/issues/52>) (#910 <https://github.com/ros2/rcl/issues/910>)
  * Contributors: Simon Honigmann

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 14 Apr 2021 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.10-1focal) focal; urgency=high

  * Update build.ros2.org links (#868 <https://github.com/ros2/rcl/issues/868>)
  * Update QD to QL 1 (#867 <https://github.com/ros2/rcl/issues/867>)
  * Update QD (#843 <https://github.com/ros2/rcl/issues/843>)
  * Contributors: Alejandro Hernández Cordero, Christophe Bedard, Jorge Perez, Stephen Brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 09 Dec 2020 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.9-1focal) focal; urgency=high

  * Add mocking unit tests for rcl_yaml_param_parser (coverage part 3/3) (#772 <https://github.com/ros2/rcl/issues/772>)
  * Add fault-injection unit tests (coverage part 2/3) (#766 <https://github.com/ros2/rcl/issues/766>)
  * Add basic unit tests for refactored functions in rcl_yaml_param_parser (coverage part 1/3) (#771 <https://github.com/ros2/rcl/issues/771>)
  * Fix mem leaks in unit test from 776 (#779 <https://github.com/ros2/rcl/issues/779>)
  * remove debugging statements. (#755 <https://github.com/ros2/rcl/issues/755>)
  * Removed variant benchmark
  * Several memory-related fixes for rcl_variant_t benchmarks (#813 <https://github.com/ros2/rcl/issues/813>)
  * Improved rcl_yaml_param_parser benchmark test (#810 <https://github.com/ros2/rcl/issues/810>)
  * Added benchmark test to rcl_yaml_param_parser (#803 <https://github.com/ros2/rcl/issues/803>)
  * Contributors: Alejandro Hernández Cordero, Scott K Logan, ahcorde, brawner, tomoya

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 03 Nov 2020 08:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.8-1focal) focal; urgency=high

  * Fix yaml parser error when meets .nan (refactor on #754 <https://github.com/ros2/rcl/issues/754>) (#781 <https://github.com/ros2/rcl/issues/781>) (#785 <https://github.com/ros2/rcl/issues/785>)
  * Refactor parser.c for better testability (#754 <https://github.com/ros2/rcl/issues/754>) (#784 <https://github.com/ros2/rcl/issues/784>)
  * Don't overwrite cur_ns pointer if reallocation fails (#780 <https://github.com/ros2/rcl/issues/780>) (#783 <https://github.com/ros2/rcl/issues/783>)
  * Set yaml_variant values to NULL on finalization (#765 <https://github.com/ros2/rcl/issues/765>) (#782 <https://github.com/ros2/rcl/issues/782>)
  * Fix rcl_parse_yaml_file() error handling (#776 <https://github.com/ros2/rcl/issues/776>) (#786 <https://github.com/ros2/rcl/issues/786>)
  * Contributors: Michel Hidalgo, Stephen Brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 07 Oct 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.7-1focal) focal; urgency=high

  * Removed doxygen warnings (#712 <https://github.com/ros2/rcl/issues/712>) (#724 <https://github.com/ros2/rcl/issues/724>)
  * Contributors: Alejandro Hernández Cordero

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 03 Aug 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.6-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 07 Jul 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.5-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Wed, 03 Jun 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.4-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 02 Jun 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.3-1focal) focal; urgency=high

  * Add Security Vulnerability Policy pointing to REP-2006 (#661 <https://github.com/ros2/rcl/issues/661>)
  * Contributors: Chris Lalancette

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Mon, 01 Jun 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.2-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Thu, 28 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.1-1focal) focal; urgency=high

  * Increase rcl_yaml_param_parser test coverage (#656 <https://github.com/ros2/rcl/issues/656>)
  * Contributors: Stephen Brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.1.0-1focal) focal; urgency=high

  * Update Quality Declaration for 1.0 (#647 <https://github.com/ros2/rcl/issues/647>)
  * Contributors: brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 22 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (1.0.0-1focal) focal; urgency=high



 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Tue, 12 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.9.1-1focal) focal; urgency=high

  * Included features (#644 <https://github.com/ros2/rcl/issues/644>)
  * Quality Declarations for rcl_action, rcl_lifecycle, yaml_parser (#641 <https://github.com/ros2/rcl/issues/641>)
  * Contributors: Alejandro Hernández Cordero, brawner

 -- Anup Pemmaiah <anup.pemmaiah@apex.ai>  Fri, 08 May 2020 07:00:00 -0000

ros-foxy-rcl-yaml-param-parser (0.9.0-1focal) focal; urgency=high

  * Added rcl yaml param parser doxyfile (#634 <https://github.com/ros2/rcl/issues/634>)
  * Fixed rcl_yaml_param_parser package description (#637 <https://github.com/ros2/rcl/issues/637>)
  * Fix usage to not expose underlying yaml (#630 <https://github.com/ros2/rcl/issues/630>)


=== debian/control ===
Source: ros-foxy-rcl-yaml-param-parser
Section: misc
Priority: optional
Maintainer: Anup Pemmaiah <anup.pemmaiah@apex.ai>
Build-Depends: debhelper (>= 9.0.0), libyaml-dev, ros-foxy-ament-cmake-gtest, ros-foxy-ament-cmake-ros, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-libyaml-vendor, ros-foxy-mimick-vendor, ros-foxy-osrf-testing-tools-cpp, ros-foxy-performance-test-fixture, ros-foxy-rcpputils, ros-foxy-rcutils, ros-foxy-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-foxy-rcl-yaml-param-parser
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libyaml-dev, ros-foxy-libyaml-vendor, ros-foxy-ros-workspace
Description: Parse a YAML parameter file and populate the C data structure.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-rcl-yaml-param-parser//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
